Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Interface CauchoDocument

All Superinterfaces:
  CauchoNode, Document, Node

All Known Implementing Classes:
  QDocument

public interface CauchoDocument
extends Document, CauchoNode

CauchoDocument extends the DOM, providing namespaces

Field Summary
`static java.lang.String` | `DEPENDS`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Attr` | `createAttribute(java.lang.String prefix, java.lang.String local, java.lang.String url)` Creates a namespace-aware attribute
`Element` | `createElement(java.lang.String prefix, java.lang.String local, java.lang.String url)` Creates a namespace-aware element
`Text` | `createUnescapedTextNode(java.lang.String text)`
`java.util.HashMap` | `getNamespaces()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface com.caucho.xml.CauchoNode
`checkValid, getCanonicalName, getColumn, getFilename, getLine, getLocalName, getNamespaceURI, getPrefix, getTextValue, print, printHtml, printPretty, setLocation`

Field Detail

### DEPENDS

    public static final java.lang.String DEPENDS

Method Detail

### createElement

    public Element createElement(java.lang.String prefix,
                                 java.lang.String local,
                                 java.lang.String url)

  Creates a namespace-aware element

### createAttribute

    public Attr createAttribute(java.lang.String prefix,
                                java.lang.String local,
                                java.lang.String url)

  Creates a namespace-aware attribute

### createUnescapedTextNode

    public Text createUnescapedTextNode(java.lang.String text)

### getNamespaces

    public java.util.HashMap getNamespaces()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD